/*
	$Id: Base4c.h 1238 2018-12-03 14:46:43Z john $

	This file is part of the Base4c Foundation Classes.

	Base4c is Copyright (c) 2010 - 2018, The 4c Company.

	Base4c is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, version 2 of the License.

	Base4c is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with This code.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __Base4cQt_Base4cQt_h__
#define __Base4cQt_Base4cQt_h__

#if defined (Base4cQt_EXPORT)
#	undef Base4cQt_EXPORT
#endif /* Base4cQt_EXPORT */

#if defined (LINUX)
#	define Base4cQt_EXPORT
#elif defined (_WINDOWS)
#	include <windows.h>
#	if defined (BASE4CQT_EXPORTS)
#		define Base4cQt_EXPORT __declspec( dllexport )
#	else
#		define Base4cQt_EXPORT __declspec( dllimport )
#	endif /* BASE4C_EXPORTS */
#	pragma warning( disable : 4251 4275 4290 4355 )
#endif /* LINUX */

#include <string>

#endif /* !__Base4Qt_Base4cQt_h__ */
